IOSS 2.0

Public Member Functions | Public Attributes | List of all members
IOShell::Interface Class Reference

`#include <shell_interface.h>`

Collaboration diagram for IOShell::Interface:
[legend]

## Public Member Functions
| Interface ()
| ~Interface ()
bool | parse_options (int argc, char **argv)
void | enroll_options ()
| Dumps representation of data in this class to cerr. More...

## Public Attributes
Ioss::GetLongOption | options_
std::vector< std::string > | inputFile
std::string | outputFile
std::string | inFiletype {"unknown"}
std::string | outFiletype {"unknown"}
std::string | groupName
std::string | decomp_method
std::string | compose_output {"default"}
double | maximum_time {std::numeric_limits<double>::max()}
double | minimum_time {-std::numeric_limits<double>::max()}
double | append_time {std::numeric_limits<double>::max()}
double | timestep_delay {0.0}
int | append_step {std::numeric_limits<int>::max()}
int | surface_split_type {1}
int | data_storage_type {0}
int | compression_level {0}
int | serialize_io_size {0}
int | flush_interval {0}
int | split_times {0}
int | split_cyclic {0}
| If non-zero, then the `split_times` timesteps will be put into. More...
bool | shuffle {false}
bool | debug {false}
bool | statistics {false}
bool | memory_statistics {false}
bool | do_transform_fields {false}
bool | ints_64_bit {false}
bool | ints_32_bit {false}
bool | reals_32_bit {false}
bool | netcdf4 {false}
bool | netcdf5 {false}
bool | quiet {false}
bool | in_memory_read {false}
bool | in_memory_write {false}
bool | lower_case_variable_names {true}
bool | delete_timesteps {false}
bool | minimize_open_files {false}
bool | disable_field_recognition {false}
bool | file_per_state {false}
bool | reverse {false}
bool | add_processor_id_field {false}
char | fieldSuffixSeparator {'_'}

## Constructor & Destructor Documentation

## ◆ Interface()

IOShell::Interface::Interface | ( |  | ) |

## ◆ ~Interface()

IOShell::Interface::~Interface | ( |  | ) |
| default

## Member Function Documentation

## ◆ enroll_options()

void IOShell::Interface::enroll_options | ( |  | ) |

Dumps representation of data in this class to cerr.

## ◆ parse_options()

bool IOShell::Interface::parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |

## Member Data Documentation

## ◆ add_processor_id_field

bool IOShell::Interface::add_processor_id_field {false}

## ◆ append_step

int IOShell::Interface::append_step {std::numeric_limits<int>::max()}

## ◆ append_time

double IOShell::Interface::append_time {std::numeric_limits<double>::max()}

## ◆ compose_output

std::string IOShell::Interface::compose_output {"default"}

## ◆ compression_level

int IOShell::Interface::compression_level {0}

## ◆ data_storage_type

int IOShell::Interface::data_storage_type {0}

## ◆ debug

bool IOShell::Interface::debug {false}

## ◆ decomp_method

std::string IOShell::Interface::decomp_method

## ◆ delete_timesteps

bool IOShell::Interface::delete_timesteps {false}

## ◆ disable_field_recognition

bool IOShell::Interface::disable_field_recognition {false}

## ◆ do_transform_fields

bool IOShell::Interface::do_transform_fields {false}

## ◆ fieldSuffixSeparator

char IOShell::Interface::fieldSuffixSeparator {'_'}

## ◆ file_per_state

bool IOShell::Interface::file_per_state {false}

## ◆ flush_interval

int IOShell::Interface::flush_interval {0}

## ◆ groupName

std::string IOShell::Interface::groupName

## ◆ in_memory_read

bool IOShell::Interface::in_memory_read {false}

## ◆ in_memory_write

bool IOShell::Interface::in_memory_write {false}

## ◆ inFiletype

std::string IOShell::Interface::inFiletype {"unknown"}

## ◆ inputFile

std::vector<std::string> IOShell::Interface::inputFile

## ◆ ints_32_bit

bool IOShell::Interface::ints_32_bit {false}

## ◆ ints_64_bit

bool IOShell::Interface::ints_64_bit {false}

## ◆ lower_case_variable_names

bool IOShell::Interface::lower_case_variable_names {true}

## ◆ maximum_time

double IOShell::Interface::maximum_time {std::numeric_limits<double>::max()}

## ◆ memory_statistics

bool IOShell::Interface::memory_statistics {false}

## ◆ minimize_open_files

bool IOShell::Interface::minimize_open_files {false}

## ◆ minimum_time

double IOShell::Interface::minimum_time {-std::numeric_limits<double>::max()}

## ◆ netcdf4

bool IOShell::Interface::netcdf4 {false}

## ◆ netcdf5

bool IOShell::Interface::netcdf5 {false}

## ◆ options_

Ioss::GetLongOption IOShell::Interface::options_

## ◆ outFiletype

std::string IOShell::Interface::outFiletype {"unknown"}

## ◆ outputFile

std::string IOShell::Interface::outputFile

## ◆ quiet

bool IOShell::Interface::quiet {false}

## ◆ reals_32_bit

bool IOShell::Interface::reals_32_bit {false}

## ◆ reverse

bool IOShell::Interface::reverse {false}

## ◆ serialize_io_size

int IOShell::Interface::serialize_io_size {0}

## ◆ shuffle

bool IOShell::Interface::shuffle {false}

## ◆ split_cyclic

int IOShell::Interface::split_cyclic {0}

If non-zero, then the `split_times` timesteps will be put into.

## ◆ split_times

int IOShell::Interface::split_times {0}

If non-zero, then put `split_times` timesteps in each file. Then close file and start new file.

## ◆ statistics

bool IOShell::Interface::statistics {false}

## ◆ surface_split_type

int IOShell::Interface::surface_split_type {1}

## ◆ timestep_delay

double IOShell::Interface::timestep_delay {0.0}

The documentation for this class was generated from the following files:

- src/main/shell_interface.h
- src/main/shell_interface.C